allprojects  {
  apply plugin: 'maven'

  group = 'org.iri_research.renkan'
  version = '0.12.6'


  gradle.projectsEvaluated {
    tasks.withType(JavaCompile) {
        options.compilerArgs << "-Xlint"
    }
  }
}

ext {
    organization = "IRI"

    junit_version = '4.11'
    slf4j_log4j12_version = '1.7.5'
    spring_version = '3.2.9.RELEASE'
    javax_servlet_version = '3.0.1'
    java_inject_version = '1'
    commons_codec_version = '1.8'
    jackson_version = '2.2.3'
    joda_time_version = '2.3'
    spring_data_commons_version = '1.6.3.RELEASE'
    spring_data_jpa_version = '1.4.3.RELEASE'
    spring_data_mongodb_version = '1.3.3.RELEASE'
    spring_security_version = '3.2.0.RELEASE'
    jetty_version = '8.1.15.v20140411'
    persistence_api_version = '1.0.2'
    mongo_java_driver_version = '2.11.4'
}

subprojects {
  apply plugin: 'java'
  sourceCompatibility = 1.7
  targetCompatibility = 1.7


  repositories {
    mavenLocal()
    mavenCentral()

    maven { url "http://repo.maven.apache.org/maven2" }
    maven { url "http://maven.springframework.org/release" }
    maven { url "http://maven.springframework.org/milestone" }
    maven { url "http://repo.springsource.org/release" }
    maven { url "http://repo.springsource.org/libs-release" }
  }

  test {
      testLogging {
          events "passed", "skipped", "failed"//, "standardOut", "standardError"
      }
  }

  dependencies {
    testCompile group: 'junit', name: 'junit', version:junit_version
    runtime group: 'org.slf4j', name: 'slf4j-log4j12', version:slf4j_log4j12_version
  }

}
